#!/bin/bash

if [ -f /etc/yum.repos.d/CentOS-Base.repo ]; then
     mv /etc/yum.repos.d/CentOS-Base.repo   /etc/yum.repos.d/CentOS-Base.repo-bak
fi

if [ -f /etc/yum.repos.d/epel.repo ]; then
     mv /etc/yum.repos.d/epel.repo   /etc/yum.repos.d/epel.repo-bak
fi

repo=$(head -n 1 repo.conf)
#下载配置文件
wget -O /etc/yum.repos.d/CentOS-Base.repo $repo

#修改内容
sed -n "3,8p" repo.conf > /etc/yum.repos.d/epel.repo

#配置缓存
yum clean all
yum makecache